2017-10-23 20:44 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0009477CentOS-7kernelpublic2015-12-17 09:56
Reporterfc7 
PriorityurgentSeveritycrashReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version7.1-1503 
Target VersionFixed in Version7.2.1511 
Summary0009477: Kernel panic on SCSI device hot add/removal and VM suspend on Hyper-V
DescriptionEvery time you add a virtual SCSI disk or optical drive to a generation 2 VM running CentOS 7.1 (1503) the kernel will panic. Same happens if you suspend a VM and then you resume it. In both cases the kernel panic message is the same.
Steps To ReproduceOn a running generation 2 CentOS VM on Hyper-V:

1- Attach or remove a SCSI optical drive (in generation 2 VMs there are only SCSI controllers available, no ATA) while the VM is running.

Another way to reproduce the problem on a running generation 2 CentOS VM on Hyper-V:

1- Save (Suspend) the running VM.
2- Start (resume) the suspended VM.
Additional InformationI'm attaching a screenshot of the kernel panic message.
Tagscrash, hyper-v, kernel, scsi, suspend
abrt_hash
URL
Attached Files

-Relationships
related to 0009538new CentOS 7 kernel panics under 2012 R2 Hyper-V live migration 
+Relationships

-Notes

~0024374

fc7 (reporter)

I forgot to mention that I'm running the latest stock (not CentOS Plus) kernel available that right now is:

3.10.0-229.14.1.el7.x86_64

~0024879

fc7 (reporter)

This problems seems to be the same as the one reported in this bug:

https://bugs.centos.org/view.php?id=9538

According to the notes it may be resolved in 7.2 release. I will update this bug once the new release is available.

~0025108

fc7 (reporter)

After upgrading the VMs to CentOS 7.2 with kernel 3.10.0-327.3.1.el7.x86_64 I can't reproduce the issue anymore. The VMs support to hot add or remove SCSI devices and also suspend without any problems. I tried several times.
This bug can be closed.

~0025109

tigalch (manager)

Marking as solved per reporters feedback
+Notes

-Issue History
Date Modified Username Field Change
2015-09-17 10:36 fc7 New Issue
2015-09-17 10:36 fc7 File Added: Screenshot from 2015-09-17 12:36:08.png
2015-09-17 10:38 fc7 Note Added: 0024374
2015-09-17 10:39 fc7 Tag Attached: kernel
2015-09-17 10:39 fc7 Tag Attached: scsi
2015-09-17 10:39 fc7 Tag Attached: crash
2015-09-17 10:39 fc7 Tag Attached: hyper-v
2015-09-17 10:39 fc7 Tag Attached: suspend
2015-11-18 11:06 fc7 Note Added: 0024879
2015-11-18 16:58 toracat Relationship added related to 0009538
2015-12-17 09:54 fc7 Note Added: 0025108
2015-12-17 09:56 tigalch Note Added: 0025109
2015-12-17 09:56 tigalch Status new => resolved
2015-12-17 09:56 tigalch Fixed in Version => 7.2.1511
2015-12-17 09:56 tigalch Resolution open => fixed
+Issue History